Workarea::Configuration.define_fields do
  fieldset 'Shipping', namespaced: false do
    field 'Shipping Attributes',
      type: :hash,
      default: {
        'usa_only' => 'usa only',
        'carrier_type' => 'Type',
        'ground_shipping_only' => 'ground shipping only',
        'no_free_shipping' => 'no free shipping'
      },
      description: 'Mapping of product details keys with shipping logic. Note: This maps only the keys not the values.'

    field 'Shipping State Exclude',
      type: :array,
      default: ["AK", "HI", "PR"],
      description: 'Shipping Excluded States'
  end
end